/** 
 *   Thermometer logger novus
 *
 *   (c) Copyright 2005 Federico Bareilles <fede@iar.unlp.edu.ar>,
 *   Instituto Argentino de Radio Astronomia (IAR).
 *
 *   This program is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU General Public License as
 *   published by the Free Software Foundation; either version 2 of
 *   the License, or (at your option) any later version.
 *     
 *   The author does NOT admit liability nor provide warranty for any
 *   of this software. This material is provided "AS-IS" in the hope
 *   that it may be useful for others.
 *
 **/

#ifndef __MODBUS_H
#define __MODBUS_H

#define MODBUS_TIME_OUT -2 
#define MODBUS_BAD_CRC  -3

#define MODBUS_PACKET_LENGTH 256

int modbus_open(char *name);
int modbus_close(int fd);
int modbus_read_pk(int fd, unsigned char *packet, int len);
int modbus_write_pk(int fd, unsigned char *packet, int len);
int modbus_make_pk(unsigned char *packet, 
		   int slave, int function, int address, int nor);


#endif /* __MODBUS_H */
